Cyan Web API - Version 1


GET api/nodeRoutes?{nodeId}

            Gets all of the NodeRoutes for a Node
            

Request Information

Parameters

NameDescriptionAdditional information
nodeId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "nodeRouteId": "ee18752c-bd0a-4ae2-af72-a32062e902bb",
    "tenantId": "2421c66e-ee3d-4c2b-adab-0cb892df26e0",
    "userId": "e33a4703-e7a5-4208-855f-452d9ccdfa04",
    "userGroupId": "6223bd93-e1f7-47d2-bd48-86ae3aa46b90",
    "deviceId": "8c7df633-bd6d-4aa6-8daa-f592cf590a64",
    "deviceGroupId": "130f787c-cc6d-40de-bd8f-04d5558b4647",
    "applicationId": "3d9cf15b-13ed-4eb4-bdbe-cc7c91f6725e",
    "applicationVersionId": "3b4b2df2-8bf4-46f6-8204-7214ed12c51f",
    "nodeId": "84b14f12-ae5f-4138-b3ab-f98fd3b9f1cf",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-11-13T15:17:07.5423857+00:00",
    "updatedDateUtc": "2026-11-13T15:17:07.5423857+00:00"
  },
  {
    "nodeRouteId": "ee18752c-bd0a-4ae2-af72-a32062e902bb",
    "tenantId": "2421c66e-ee3d-4c2b-adab-0cb892df26e0",
    "userId": "e33a4703-e7a5-4208-855f-452d9ccdfa04",
    "userGroupId": "6223bd93-e1f7-47d2-bd48-86ae3aa46b90",
    "deviceId": "8c7df633-bd6d-4aa6-8daa-f592cf590a64",
    "deviceGroupId": "130f787c-cc6d-40de-bd8f-04d5558b4647",
    "applicationId": "3d9cf15b-13ed-4eb4-bdbe-cc7c91f6725e",
    "applicationVersionId": "3b4b2df2-8bf4-46f6-8204-7214ed12c51f",
    "nodeId": "84b14f12-ae5f-4138-b3ab-f98fd3b9f1cf",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-11-13T15:17:07.5423857+00:00",
    "updatedDateUtc": "2026-11-13T15:17:07.5423857+00:00"
  },
  {
    "nodeRouteId": "ee18752c-bd0a-4ae2-af72-a32062e902bb",
    "tenantId": "2421c66e-ee3d-4c2b-adab-0cb892df26e0",
    "userId": "e33a4703-e7a5-4208-855f-452d9ccdfa04",
    "userGroupId": "6223bd93-e1f7-47d2-bd48-86ae3aa46b90",
    "deviceId": "8c7df633-bd6d-4aa6-8daa-f592cf590a64",
    "deviceGroupId": "130f787c-cc6d-40de-bd8f-04d5558b4647",
    "applicationId": "3d9cf15b-13ed-4eb4-bdbe-cc7c91f6725e",
    "applicationVersionId": "3b4b2df2-8bf4-46f6-8204-7214ed12c51f",
    "nodeId": "84b14f12-ae5f-4138-b3ab-f98fd3b9f1cf",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-11-13T15:17:07.5423857+00:00",
    "updatedDateUtc": "2026-11-13T15:17:07.5423857+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-11-13T15:17:07.5423857+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T15:17:07.5423857+00:00</UpdatedDateUtc>
    <ApplicationId>3d9cf15b-13ed-4eb4-bdbe-cc7c91f6725e</ApplicationId>
    <ApplicationVersionId>3b4b2df2-8bf4-46f6-8204-7214ed12c51f</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>130f787c-cc6d-40de-bd8f-04d5558b4647</DeviceGroupId>
    <DeviceId>8c7df633-bd6d-4aa6-8daa-f592cf590a64</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>84b14f12-ae5f-4138-b3ab-f98fd3b9f1cf</NodeId>
    <NodeRouteId>ee18752c-bd0a-4ae2-af72-a32062e902bb</NodeRouteId>
    <TenantId>2421c66e-ee3d-4c2b-adab-0cb892df26e0</TenantId>
    <UserGroupId>6223bd93-e1f7-47d2-bd48-86ae3aa46b90</UserGroupId>
    <UserId>e33a4703-e7a5-4208-855f-452d9ccdfa04</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-11-13T15:17:07.5423857+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T15:17:07.5423857+00:00</UpdatedDateUtc>
    <ApplicationId>3d9cf15b-13ed-4eb4-bdbe-cc7c91f6725e</ApplicationId>
    <ApplicationVersionId>3b4b2df2-8bf4-46f6-8204-7214ed12c51f</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>130f787c-cc6d-40de-bd8f-04d5558b4647</DeviceGroupId>
    <DeviceId>8c7df633-bd6d-4aa6-8daa-f592cf590a64</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>84b14f12-ae5f-4138-b3ab-f98fd3b9f1cf</NodeId>
    <NodeRouteId>ee18752c-bd0a-4ae2-af72-a32062e902bb</NodeRouteId>
    <TenantId>2421c66e-ee3d-4c2b-adab-0cb892df26e0</TenantId>
    <UserGroupId>6223bd93-e1f7-47d2-bd48-86ae3aa46b90</UserGroupId>
    <UserId>e33a4703-e7a5-4208-855f-452d9ccdfa04</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-11-13T15:17:07.5423857+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T15:17:07.5423857+00:00</UpdatedDateUtc>
    <ApplicationId>3d9cf15b-13ed-4eb4-bdbe-cc7c91f6725e</ApplicationId>
    <ApplicationVersionId>3b4b2df2-8bf4-46f6-8204-7214ed12c51f</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>130f787c-cc6d-40de-bd8f-04d5558b4647</DeviceGroupId>
    <DeviceId>8c7df633-bd6d-4aa6-8daa-f592cf590a64</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>84b14f12-ae5f-4138-b3ab-f98fd3b9f1cf</NodeId>
    <NodeRouteId>ee18752c-bd0a-4ae2-af72-a32062e902bb</NodeRouteId>
    <TenantId>2421c66e-ee3d-4c2b-adab-0cb892df26e0</TenantId>
    <UserGroupId>6223bd93-e1f7-47d2-bd48-86ae3aa46b90</UserGroupId>
    <UserId>e33a4703-e7a5-4208-855f-452d9ccdfa04</UserId>
  </NodeRouteRepresentation>
</ArrayOfNodeRouteRepresentation>